services:
    mihomo:
        image: metacubex/mihomo:latest
        container_name: mihomo
        restart: unless-stopped
        volumes:
            - ./config:/root/.config/mihomo
        ports:
            - "127.0.0.1:7890:7890" # HTTP proxy
            - "127.0.0.1:7891:7891" # SOCKS5 proxy
            - "127.0.0.1:9090:9090" # WebUI / API
        cap_add:
            - NET_ADMIN
